From 337342e3848c53649df98322e0036525fb96b2d6 Mon Sep 17 00:00:00 2001
From: Joshua Roys <roysjosh@gmail.com>
Date: Wed, 15 Sep 2010 10:39:42 -0400
Subject: [PATCH] Board enable for AOpen i975Xa-YDG

Signed-off-by: Joshua Roys <roysjosh@gmail.com>
---
 board_enable.c |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

diff --git a/board_enable.c b/board_enable.c
index 919d055..a658536 100644
--- a/board_enable.c
+++ b/board_enable.c
@@ -1552,6 +1552,28 @@ static int intel_ich_gpio32_raise(void)
 
 /*
  * Suited for:
+ *  - AOpen i975Xa-YDG: i975X + ICH7 + W83627EHF
+ */
+static int board_aopen_i975xa_ydg(void)
+{
+	int ret;
+
+	/* vendor BIOS ends up in LDN6... maybe the board enable is wrong,
+	 * or perhaps it's not needed at all?
+	 * the regs it tries to touch are 0xF0, 0xF1, 0xF2 which means if it
+	 * were in the right LDN, it would have to be GPIO1 or GPIO3
+	 */
+/*
+	ret = winbond_gpio_set(0x2e, WINBOND_W83627EHF_ID, x, 0)
+	if (!ret)
+*/
+		ret = intel_ich_gpio_set(33, 1);
+
+	return ret;
+}
+
+/*
+ * Suited for:
  *  - Acorp 6A815EPD: socket 370 + intel 815 + ICH2
  */
 static int board_acorp_6a815epd(void)
@@ -1917,6 +1939,7 @@ const struct board_pciid_enable board_pciid_enables[] = {
 	{0x1106, 0x3177, 0x17F2, 0x3177,  0x1106, 0x3148, 0x17F2, 0x3148, NULL,          NULL,         NULL,          "Albatron",    "PM266A Pro",            0,   OK, w836xx_memw_enable_2e},
 	{0x1022, 0x2090,      0,      0,  0x1022, 0x2080,      0,      0, NULL,          "artecgroup", "dbe61",       "Artec Group", "DBE61",                 0,   OK, board_artecgroup_dbe6x},
 	{0x1022, 0x2090,      0,      0,  0x1022, 0x2080,      0,      0, NULL,          "artecgroup", "dbe62",       "Artec Group", "DBE62",                 0,   OK, board_artecgroup_dbe6x},
+	{0x8086, 0x277c, 0xa0a0, 0x060b,  0x8086, 0x27da, 0xa0a0, 0x060b, NULL,          NULL,         NULL,          "AOpen",       "i975Xa-YDG",            0,   OK, board_aopen_i975xa_ydg},
 	{0x1039, 0x0741, 0x1849, 0x0741,  0x1039, 0x5513, 0x1849, 0x5513, "^K7S41 $",    NULL,         NULL,          "ASRock",      "K7S41",                 0,   OK, w836xx_memw_enable_2e},
 	{0x8086, 0x24D4, 0x1849, 0x24D0,  0x8086, 0x24D5, 0x1849, 0x9739, NULL,          NULL,         NULL,          "ASRock",      "P4i65GV",               0,   OK, intel_ich_gpio23_raise},
 	{0x8086, 0x2570, 0x1849, 0x2570,  0x8086, 0x24d3, 0x1849, 0x24d0, NULL,          NULL,         NULL,          "ASRock",      "775i65G",               0,   OK, intel_ich_gpio23_raise},
-- 
1.7.3.4

